procmpt_summary_read
Prev | Fusion message devices | Next

## Name

procmpt_summary_read — Handle read request of a summary file

## Synopsis

`int procmpt_summary_read (` | char * | buf,
| char ** | start,
| off_t | offset,
| int | request,
| int * | eof,
| void * | data`)`;

## Arguments

`buf`

  Pointer to area to write information

`start`

  Pointer to start pointer

`offset`

  Offset to start writing

`request`

  Amount of read data requested

`eof`

  Pointer to EOF integer

`data`

  Pointer

## Description

Handles read request from /proc/mpt/summary or /proc/mpt/iocN/summary. Returns number of characters written to process performing the read.

Prev | Up | Next
procmpt_destroy | Home | procmpt_version_read